<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', [
    'namespace' => 'App\Http\Controllers',
], function ($api) {
    //登录
    $api->post('login', 'AuthController@authenticate');
    //测试签名
    $api->post('sign', 'IndexController@index4');
    //测试支付宝 支付
    $api->post('alipay', 'AlipayController@index');
    //回调
    $api->post('return', 'AlipayController@return');
    //异步回调
    $api->post('notify', 'AlipayController@notify');
    //测试微信支付
    $api->post('weixin', 'WeixinPayController@index');
    //微信回调
    $api->post('wxin_notify', 'WeixinPayController@notify');



    $api->group(['middleware' => 'auth:api'], function ($api) {
        //登出
        $api->post('logout', 'AuthController@logout');
        //刷新身份令牌
        $api->post('refresh', 'AuthController@refresh');
        //测试
        $api->post('products', 'ProductsController@index');
    });

    $api->group(['middleware' => 'jwt.chxq_auth'], function ($api) {
        $api->get('user', 'IndexController@index');
        $api->get('user2', 'IndexController@index2');
        $api->get('user3', 'IndexController@index3');
        $api->get('error', 'IndexController@error');

    });
});